name = "Tutorial Mod"
dependencies = {
    {"exdilin", ">0.5.0"}
}

function register(registerType)
    if registerType == "textures" then
        exdilin.register_and_load_texture("Test Texture", "test.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture1", "Dirt.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture2", "tnt_bottom.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture3", "tnt_side.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture4", "tnt_top.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture5", "stone.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture6", "stonereg.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture7", "oak.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture8", "gold_block.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture9", "pfp.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture10", "Oaklog.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture11", "oaklogtop.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture12", "coal.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture13", "crafting_table_side.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture14", "crafting_table_front.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture15", "crafttop.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture16", "diamond.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture17", "diamondblock.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture18", "diamondore.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture19", "furnace_front_off.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture20", "furnace_front_on.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture21", "furnace_side.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture22", "furnace_top.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture23", "wool.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture24", "ironblock.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture25", "brick.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture26", "bookshelf.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture27", "gold_ore.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture28", "grass_side.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture29", "grass_top.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Test Texture30", "iron_ore.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture31", "lapis_ore.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Test Texture32", "snow.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Sicon", "Sword.png", "Normal", "OneSideTo1x1")
		
		exdilin.load_texture("Icons/HD/Minecraft_HD", "Sweden.png")
		exdilin.load_texture("Icons/HD/Cat_HD", "Cat.png")
		exdilin.load_texture("Icons/HD/WetHand_HD", "Wet.png")
		exdilin.load_texture("Icons/HD/sword_HD", "Sword.png")
    end
end

function init()
	exdilin.load_audio("Music/Minecraft", "Minecraft.ogg")
	exdilin.load_audio("Music/Cat", "Cat.ogg")
	exdilin.load_audio("Music/WetHand", "Wethands.ogg")
	exdilin.load_audio("Music/SwedenKamex", "KamexSweden.ogg")
	exdilin.load_block_model("sword", "sword.obj")
end

function pre_init()
 
    exdilin.texture_item("Test Texture").register()
	exdilin.texture_item("Test Texture1").register()
	exdilin.texture_item("Test Texture2").register()
	exdilin.texture_item("Test Texture3").register()
	exdilin.texture_item("Test Texture4").register()
	exdilin.texture_item("Test Texture5").register()
	exdilin.texture_item("Test Texture6").register()
	exdilin.texture_item("Test Texture7").register()
	exdilin.texture_item("Test Texture8").register()
	exdilin.texture_item("Test Texture9").register()
	exdilin.texture_item("Test Texture10").register()
	exdilin.texture_item("Test Texture11").register()
	exdilin.texture_item("Test Texture12").register()
	exdilin.texture_item("Test Texture13").register()
	exdilin.texture_item("Test Texture14").register()
	exdilin.texture_item("Test Texture15").register()
	exdilin.texture_item("Test Texture16").register()
	exdilin.texture_item("Test Texture17").register()
	exdilin.texture_item("Test Texture18").register()
	exdilin.texture_item("Test Texture19").register()
	exdilin.texture_item("Test Texture20").register()
	exdilin.texture_item("Test Texture21").register()
	exdilin.texture_item("Test Texture22").register()
	exdilin.texture_item("Test Texture23").register()
	exdilin.texture_item("Test Texture24").register()
	exdilin.texture_item("Test Texture25").register()
	exdilin.texture_item("Test Texture26").register()
	exdilin.texture_item("Test Texture27").register()
	exdilin.texture_item("Test Texture28").register()
	exdilin.texture_item("Test Texture29").register()
	exdilin.texture_item("Test Texture30").register()
	exdilin.texture_item("Test Texture31").register()
	exdilin.texture_item("Test Texture32").register()
	exdilin.music_item("Minecraft").register()
	exdilin.music_item("Cat").register()
	exdilin.music_item("WetHand").register()
	exdilin.music_item("SwedenKamex").register()
	local block = exdilin.new_block({
        id = "sword",
        modelName = "sword"
    })
	local blockItem = block.default_block_item("Sicon", "chase")
    blockItem.register()
	block.register()
	
	
end